Subject: 26.2; Fatal error 11: Segmentation fault; Crash on: (find-file "any.svg")

From: Paul Eggert <[email-masked]>
Date: Mon, 13 May 2019 18:04:58 -0700

Thanks for the bug report. I don't see the problem with Emacs 26.2 on my
platform (Fedora 30, x86-64, configured with './configure --with-xft
--with-x-toolkit=gtk3 --without-rsvg'.

I suggest configuring --with-rsvg, so that librsvg used (instead of
ImageMagick) to display SVG files. I vaguely remember proposing that we
disable ImagicMagick by default; perhaps we should get around to doing
that. ImageMagick is a continuing source of bugs.

If librsvg doesn't fix the problem, please follow the instructions in
etc/DEBUG to build a debugging version of Emacs that will give you a
decent backtrace.